# Intel® 64 and IA-32 Instruction Set Reference

Intel® 64 and IA-32 Instruction Set Reference using FZF ([Fuzzy Finder](https://github.com/junegunn/fzf)) interface.

This UNOFFICIAL reference was generated from the official [Intel® 64 and IA-32 Architectures Software Developer’s Manual](https://www.intel.com/content/www/us/en/developer/articles/technical/intel-sdm.html) by a dumb script.

There is no guarantee that some parts aren't mangled or broken and is distributed WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[![ia32-64](./img/ia32-64.png "IA32-64")](./img/ia32-64.png)

Please report issues [here](https://bolha.dev/nrzcode/ia32-64) in case you run into any.

Read [here](https://github.com/junegunn/fzf) to install FZF or checkout the project and run this according shell in use.

```sh
git clone {https://github.com,~/.local/vendor}/junegunn/fzf
~/.local/vendor/junegunn/fzf/install --all
```

You could be [here](https://www.felixcloutier.com/x86) for the online x86 reference.
